function[Edges]=zShowYAsEdgesEdges(Links,Y,NeighbourM,NeighbourCM,Small,ResistanceM)

if nargin<6
    ResistanceM=ones(size(Y));
end
% Edges = The power transfered over each edge [Node1 Node2 Power Power]

Size=size(Y);

k=0;
for i=1:Size(1);
    for j=1:Size(2);
        k=k+1;
        b=Y(i,j)/ResistanceM(i,j);
        c=NeighbourM(i,j);
        d=NeighbourCM(i,j);
        if c~=0 && d~=0
            e=Y(c,d)/ResistanceM(c,d);
        else
            e=10000000;
        end
        E(k,:)=[c i b -e];
    end
end

for i=1:length(Links)
    for j=1:length(E)
        if Links(1,i)==E(j,1)
            if Links(2,i)==E(j,2)
                Edges(i,:)=E(j,:);
            end
        end
    end
end

for i=1:length(Edges)
    if abs(Edges(i,3))<Small
        Edges(i,3)=0;
    end
    if abs(Edges(i,4))<Small
        Edges(i,4)=0;
    end
end

end